#	@(#) cshrc.src 1.3 87/01/21 
#
#	Copyright (C) The Santa Cruz Operation, 1985.
#	This Module contains Proprietary Information of
#	The Santa Cruz Operation, Microsoft Corporation
#	and AT&T, and should be treated as Confidential.
#

#
# Example .cshrc file for C-Shell account.
# Commands here are executed each time csh starts up.
#

set noclobber				# don't allow '>' to overwrite
set history=20				# save last 20 commands
if ($?prompt) then
	set prompt=\!%\ 		# set prompt string
# some BSD lookalikes that maintain a directory stack
	if (! $?_d) set _d = ()
	alias	popd	'cd $_d[1]; echo ${_d[1]}:; shift _d'
	alias	pushd	'set _d = (`pwd` $_d); cd \!*'
	alias	swapd	'set _d = ($_d[2] $_d[1] $_d[3-])'
	alias	flipd	'pushd .; swapd ; popd'
endif
alias print 'pr -n \!:* | lpr'		# print command alias
